<?php

declare(strict_types=1);

namespace Apexl\Io\Notifier\Interfaces;

use Apexl\Io\Notifier\Exceptions\NotifierException;

interface EmailNotifierDriverInterface extends NotifierDriverInterface
{
    /**
     * @param array<array{path: string, name?: string}> $attachments
     * @param array<array{path: string, cid: string, name?: string}> $embeddedImages
     *
     * @throws NotifierException
     */
    public function send(string $to, string $subject, string $body, array $attachments = [], array $embeddedImages = []): void;
    public function isHtml(bool $isHtml = true): void;
}
